Skip to main content
POST
/
v1
/
caller-trust
/
enterprises
/
{id}
/
resign
Re-sign LOA for enterprise (by ID)
curl --request POST \
  --url https://api.revdesk.com/v1/caller-trust/enterprises/{id}/resign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signer_full_name": "<string>",
  "signer_email": "jsmith@example.com",
  "signer_title": "<string>",
  "consent_acknowledged_at": "2023-11-07T05:31:56Z",
  "confirm_carrier_commit": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "telnyx_enterprise_id": "<string>",
    "legal_name": "<string>",
    "dba": "<string>",
    "status": "<string>",
    "rejection_reasons": [
      "<string>"
    ],
    "synced_at": "<string>",
    "loa_document_id": "<string>",
    "reputation": {
      "status": "<string>",
      "check_frequency": "<string>",
      "rejection_reasons": [
        "<string>"
      ],
      "last_synced_at": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Path Parameters

id
string
required

Body

application/json
signer_full_name
string
required
Required string length: 2 - 255
signer_email
string<email>
required
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
signer_title
string
required
Required string length: 1 - 255
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
confirm_carrier_commit
string
required
Allowed value: "I understand this submits to the carrier"

Response

Success

data
object
required